Bug 234812

Summary: [NEW PORT] devel/py-libioc: Python 3 library to manage FreeBSD jails with ioc{age,ell}
Product: Ports & Packages Reporter: gronke <stefan>
Component: Individual Port(s)Assignee: Steve Wills <swills>
Status: Closed FIXED    
Severity: Affects Only Me CC: i.galic, netchild, python, stefan, swills
Priority: --- Keywords: feature, needs-patch, needs-qa
Version: LatestFlags: koobs: maintainer-feedback? (stefan)
Hardware: Any   
OS: Any   
URL: https://bsdci.github.io/libioc
Bug Depends on:    
Bug Blocks: 234816    
Attachments:
Description Flags
devel/py-ioc ports package
none
devel/py-libioc ports package
none
devel/py-libioc ports package
none
devel/py-libioc ports package
none
libioc Release v0.8.0
none
libioc Release v0.8.2 none

Description gronke 2019-01-10 08:54:23 UTC
Created attachment 200977 [details]
devel/py-ioc ports package

ioc is a jail manager based on the idea of iocage and iocell. The ioc Python module gives object-oriente access to jails in compatibility with iocage_legacy, iocell and python-iocage (<1.0).

The project was formerly known as libiocage, but has left the iocage project recently.

Due to dependency restriction the package is currently only available for Python 3.6.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-01-10 09:21:25 UTC
ioc is already a registered PyPI name for "A small dependency injection container based on Symfony2 Dependency Component".

I would recommend registering a PyPI name for this project and distributing a source distribution (sdist) in PyPI (CHEESESHOP)

This port should also be renamed according to and to match that registered name
Comment 2 gronke 2019-01-10 09:38:40 UTC
Good catch! I did not register a PyPI package because the module heavily depends on FreeBSD features. There are still dependencies that need a src tree to be checked out (py-libzfs) that make deployments via Pip unsuitable (not impossible with binary Wheels, but a ports package seems to be the better fit).

Will investigate on naming options and modify this Bug accordingly.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-01-12 03:09:37 UTC
(In reply to gronke from comment #2)

Thank you for the additional detail. I would still recommend registering a PyPI name, even if an sdist is not distributed in the immediate term, and renaming the port proposed here accordingly.
Comment 4 gronke 2019-01-12 05:07:25 UTC
Created attachment 201051 [details]
devel/py-libioc ports package

A PyPI package called libioc was registered and this port renamed to devel/py-libioc.

pip Package URL: https://pypi.org/project/libioc/
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2019-01-12 06:12:07 UTC
@Stefan Thank for the update, if you could update the port to use autoplist (should handle everything automatically, use PLIST_FILES for anything 'extra') and confirm that this port (and the one in bug 234816 ) passes QA (portlint, poudriere) that would be great
Comment 6 gronke 2019-01-12 09:15:28 UTC
Created attachment 201052 [details]
devel/py-libioc ports package

The release was updated to v0.5.0, linted and tested with poudriere.
Comment 7 gronke 2019-02-08 20:50:53 UTC
Created attachment 201853 [details]
devel/py-libioc ports package

Update to libioc v0.6.0
Comment 8 gronke 2019-04-14 11:01:51 UTC
Created attachment 203668 [details]
libioc Release v0.8.0
Comment 9 gronke 2019-04-14 11:12:08 UTC
This port switched to use autoplist, passes portlint and can be installed using `make install`. After renaming the port to py-libic, it matches with the PyPi project https://pypi.org/project/libioc/
Comment 10 gronke 2019-08-10 15:48:33 UTC
Created attachment 206421 [details]
libioc Release v0.8.2
Comment 11 commit-hook freebsd_committer 2019-09-02 14:57:44 UTC
A commit references this bug:

Author: swills
Date: Mon Sep  2 14:57:06 UTC 2019
New revision: 510800
URL: https://svnweb.freebsd.org/changeset/ports/510800

Log:
  devel/py-libioc: create port

  Python 3 module to access to ioc{age,ell} jails and features

  WWW: https://github.com/bsdci/libioc

  PR:		234812
  Submitted by:	gronke <stefan@gronke.net>

Changes:
  head/devel/py-libioc/
  head/devel/py-libioc/Makefile
  head/devel/py-libioc/distinfo
  head/devel/py-libioc/pkg-descr
Comment 12 Steve Wills freebsd_committer 2019-09-02 15:05:07 UTC
Committed, thanks!